import { BaseArgoCDChart } from './base';
import { ApiObject, GroupVersionKind } from 'cdk8s';
export declare class ArgoDeployChart extends BaseArgoCDChart {
    template(): {
        apiVersion: string;
        kind: string;
        metadata: {
            name: any;
        };
        spec: {
            project: string;
            sources: any[];
            destination: any;
        };
    };
    templateMetadata(claim: any): {
        name: any;
    };
    templateChart(claim: any): any;
    templateValues(claim: any): any;
    templateDestination(claim: any): any;
    gvk(): GroupVersionKind;
    instanceApiObject(template: any): ApiObject;
}
